import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

export function InvoiceAdd() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_新增',
      param: '制单人=' + arguments[0] + '&发货单流水号=0=int=output'
    }
  })
}
export function InvoiceDelete() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_删除',
      param: '发货单流水号=' + arguments[0]
    }
  })
}
export function InvoiceSelectPush() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_下拉框数据_查询',
      param: '查询条件=' + arguments[0]
    }
  })
}
export function PickSelectPush() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_货品_查询',
      param: '查询类别=' + arguments[0] + '\\&查询条件=' + arguments[1]
    }
  })
}
export function SelectMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_机床_查询',
      param: '机床图号=' + arguments[0]
    }
  })
}
export function SelectAssembly() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_组件_查询',
      param: '组号=' + arguments[0]
    }
  })
}
export function SelectPart() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_零件_查询',
      param: '零件图号=' + arguments[0]
    }
  })
}
export function SelectMateriel() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_物料_查询',
      param: '物料名称=' + arguments[0]
    }
  })
}
export function InvoiceFeach() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单数据_查询',
      param: '发货单流水号=' + arguments[0]
    }
  })
}
export function InvoiceSave() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '发货管理_发货申请_发货单_保存',
      param: '发货单流水号=' + arguments[0] + '\\&收货单位=' + arguments[1] + '\\&收货地址=' + arguments[2] + '\\&收货人员=' + arguments[3] + '\\&联系电话=' + arguments[4] + '\\&注意事项=' + arguments[5] + '\\&发货单名称=' + arguments[6] + '\\&机床流水号=' + arguments[7]
    }
  })
}
export function InvoiceExamine() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '发货管理_发货申请_发货单_审核',
      param: '发货单流水号=' + arguments[0] + '&审核人=' + arguments[1]
    }
  })
}
export function InvoiceAbandoningTrial() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_弃审',
      param: '发货单流水号=' + arguments[0]
    }
  })
}
export function DetailsFeach() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单明细_查询',
      param: '发货单流水号=' + arguments[0]
    }
  })
}
export function InvoiceDetailsSave() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '发货管理_发货申请_发货单_发货单明细_循环增加',
      param: '货品类别组=' + arguments[0] + '\\&货品编号组=' + arguments[1] + '\\&货品名称组=' + arguments[2] + '\\&货品规格组=' + arguments[3] + '\\&货品型号组=' + arguments[4] + '\\&设计者组=' + arguments[5] + '\\&数量组=' + arguments[6] + '\\&机床流水号组=' + arguments[7] + '\\&发货单流水号=' + arguments[8]
    }
  })
}
export function InvoiceListSearch() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '发货管理_发货申请_发货单_发货单列表_查询',
      param: '发货单名=' + arguments[0] + '\\&发货单号=' + arguments[1] + '\\&收货单位=' + arguments[2] + '\\&车辆牌号=' + arguments[3] + '\\&司机姓名=' + arguments[4] + '\\&司机电话=' + arguments[5] + '\\&制单人=' + arguments[6] + '\\&核准人=' + arguments[7] + '\\&执行人=' + arguments[8] + '\\&开始制单日期=' + arguments[9] + '\\&结束制单日期=' + arguments[10] + '\\&开始核准日期=' + arguments[11] + '\\&结束核准日期=' + arguments[12] + '\\&开始发货日期=' + arguments[13] + '\\&结束发货日期=' + arguments[14] + '\\&发货单名_check=' + arguments[15] + '\\&发货单号_check=' + arguments[16] + '\\&收货单位_check=' + arguments[17] + '\\&车辆牌号_check=' + arguments[18] + '\\&司机姓名_check=' + arguments[19] + '\\&司机电话_check=' + arguments[20] + '\\&制单人_check=' + arguments[21] + '\\&核准人_check=' + arguments[22] + '\\&执行人_check=' + arguments[23] + '\\&开始制单日期_check=' + arguments[24] + '\\&结束制单日期_check=' + arguments[25] + '\\&开始核准日期_check=' + arguments[26] + '\\&结束核准日期_check=' + arguments[27] + '\\&开始发货日期_check=' + arguments[28] + '\\&结束发货日期_check=' + arguments[29]
    }
  })
}
